Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410523 - gi.overrides.BlockDev.LVMError: Failed to call the 'LvCreate' method on the '/com/redhat/lvmdbus1/Vg/1' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Vg', "Exit code 3, stderr = --size may not ...
Summary: gi.overrides.BlockDev.LVMError: Failed to call the 'LvCreate' method on the '...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:22e31127dad93aba7da93141e08...
Depends On:
Blocks: F26AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2017-01-05 16:18 UTC by Paul Whalen
Modified: 2017-03-09 11:35 UTC (History)
11 users (show)

Fixed In Version: anaconda-26.18-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-09 11:35:14 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (1.10 MB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: anaconda.log (47.36 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: dnf.librepo.log (12.59 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: environ (482 bytes, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: hawkey.log (971 bytes, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: lsblk_output (1.37 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: lvm.log (466.00 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: nmcli_dev_list (1.24 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: os_info (451 bytes, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: storage.log (144.42 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: syslog (266.31 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: ifcfg.log (2.21 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: packaging.log (4.01 KB, text/plain)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details
File: program.log (42.01 KB, application/octet-stream)
2017-01-05 16:18 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2017-01-05 16:18:04 UTC
Description of problem:
Text install selecting Minimal package set, automatic partitioning.

Version-Release number of selected component:
anaconda-26.17-1

The following was filed automatically by anaconda:
anaconda 26.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/gi/overrides/BlockDev.py", line 740, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1963, in _create
    type=self.seg_type, pv_list=pvs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/lvm.py", line 1801, in decorated
    return meth(self, *args, **kwargs)  # pylint: disable=not-callable
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 449, in create
    self._create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/deviceaction.py", line 318, in execute
    self.device.create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib/python3.6/site-packages/pyanaconda/install_tasks.py", line 455, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib/python3.6/site-packages/pyanaconda/install_tasks.py", line 489, in start
    self.run_task()
  File "/usr/lib/python3.6/site-packages/pyanaconda/install_tasks.py", line 321, in start
    item.start()
  File "/usr/lib/python3.6/site-packages/pyanaconda/install_tasks.py", line 321, in start
    item.start()
  File "/usr/lib/python3.6/site-packages/pyanaconda/install.py", line 356, in doInstall
    installation_queue.start()
  File "/usr/lib/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.LVMError: Failed to call the 'LvCreate' method on the '/com/redhat/lvmdbus1/Vg/1' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Vg', "Exit code 3, stderr =   --size may not be zero.\n  Run `lvcreate --help' for more information.\n")

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   console=ttymxc0,115200 ip=eth0:dhcp inst.repo=http://kojipkgs.fedoraproject.org/compose/rawhide//Fedora-Rawhide-20170105.n.0/compose/Everything/armhfp/os/
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.10.0-0.rc2.git2.1.fc26.armv7hl
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide

Comment 1 Paul Whalen 2017-01-05 16:18:12 UTC
Created attachment 1237744 [details]
File: anaconda-tb

Comment 2 Paul Whalen 2017-01-05 16:18:14 UTC
Created attachment 1237745 [details]
File: anaconda.log

Comment 3 Paul Whalen 2017-01-05 16:18:15 UTC
Created attachment 1237746 [details]
File: dnf.librepo.log

Comment 4 Paul Whalen 2017-01-05 16:18:16 UTC
Created attachment 1237747 [details]
File: environ

Comment 5 Paul Whalen 2017-01-05 16:18:18 UTC
Created attachment 1237748 [details]
File: hawkey.log

Comment 6 Paul Whalen 2017-01-05 16:18:19 UTC
Created attachment 1237749 [details]
File: lsblk_output

Comment 7 Paul Whalen 2017-01-05 16:18:22 UTC
Created attachment 1237750 [details]
File: lvm.log

Comment 8 Paul Whalen 2017-01-05 16:18:23 UTC
Created attachment 1237751 [details]
File: nmcli_dev_list

Comment 9 Paul Whalen 2017-01-05 16:18:25 UTC
Created attachment 1237752 [details]
File: os_info

Comment 10 Paul Whalen 2017-01-05 16:18:27 UTC
Created attachment 1237753 [details]
File: storage.log

Comment 11 Paul Whalen 2017-01-05 16:18:29 UTC
Created attachment 1237754 [details]
File: syslog

Comment 12 Paul Whalen 2017-01-05 16:18:30 UTC
Created attachment 1237755 [details]
File: ifcfg.log

Comment 13 Paul Whalen 2017-01-05 16:18:32 UTC
Created attachment 1237756 [details]
File: packaging.log

Comment 14 Paul Whalen 2017-01-05 16:18:33 UTC
Created attachment 1237757 [details]
File: program.log

Comment 15 Paul Whalen 2017-01-05 16:57:20 UTC
Similar problem has been detected:

Text install on aarch64, default selections.

addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=(tftp)/fedora/Fedora-Rawhide-20170105.n.0/Everything/vmlinuz inst.repo=http://kojipkgs.fedoraproject.org/compose/rawhide//Fedora-Rawhide-20170105.n.0/compose/Everything/aarch64/os/
hashmarkername: anaconda
kernel:         4.10.0-0.rc2.git2.1.fc26.aarch64
package:        anaconda-26.17-1
product:        Fedora
reason:         gi.overrides.BlockDev.LVMError: Failed to call the 'LvCreate' method on the '/com/redhat/lvmdbus1/Vg/0' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Vg', "Exit code 3, stderr =   --size may not be zero.\n  Run `lvcreate --help' for more information.\n")
release:        Cannot get release name.
version:        rawhide

Comment 16 Paul Whalen 2017-01-05 17:05:36 UTC
Similar problem has been detected:

Text install on x86_64, defaults selections.

addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   text inst.repo=https://kojipkgs.fedoraproject.org/compose/rawhide//Fedora-Rawhide-20170105.n.0/compose/Everything/x86_64/os/
hashmarkername: anaconda
kernel:         4.10.0-0.rc2.git2.1.fc26.x86_64
package:        anaconda-26.17-1
product:        Fedora
reason:         gi.overrides.BlockDev.LVMError: Failed to call the 'LvCreate' method on the '/com/redhat/lvmdbus1/Vg/0' object: GDBus.Error:org.freedesktop.DBus.Python.dbus.exceptions.DBusException: ('com.redhat.lvmdbus1.Vg', "Exit code 3, stderr =   --size may not be zero.\n  Run `lvcreate --help' for more information.\n")
release:        Cannot get release name.
version:        rawhide

Comment 17 Adam Williamson 2017-01-09 17:11:57 UTC
Also affecting openQA: https://openqa.fedoraproject.org/tests/54366

Comment 18 Geoffrey Marr 2017-01-09 18:21:26 UTC
Discussed during the 2017-01-09 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criteria:

"When using a dedicated installer image, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces"

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-01-09/f26-blocker-review.2017-01-09-17.00.txt

Comment 19 Geoffrey Marr 2017-01-10 05:33:49 UTC
Running into this on Fedora-Server-netinst-x86_64-Rawhide-20170105.n.0.iso

Comment 20 Fedora End Of Life 2017-02-28 10:53:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 21 Adam Williamson 2017-03-02 22:37:47 UTC
Had another openQA case of this today:

https://openqa.fedoraproject.org/tests/58819

Comment 22 Adam Williamson 2017-03-06 17:58:07 UTC
sorry, on closer inspection, the most recent openQA case was "Timeout was reached.", not "--size may not be zero". The older openQA case was the --size error, though.

Comment 23 Vendula Poncova 2017-03-09 11:35:14 UTC
Already fixed a pull request: https://github.com/rhinstaller/anaconda/pull/926


Note You need to log in before you can comment on or make changes to this bug.